[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteQWord

Write a QWord value to the stream

## Declaration

Source position: classesh.inc line 869

`public procedure TStream.WriteQWord(`
`q: QWord`
`);`

## Description

WriteQWord writes the word W (i.e. 8 bytes) to the stream. This is a utility function which simply calls the Write function. The word can be read from the stream using the ReadQWord function.

## Errors

If an error occurs when attempting to write, an EStreamError exception will be raised.

## See also

TStream.Write |  | Writes data from a buffer to the stream and returns the number of bytes written.
TStream.ReadByte |  | Read a byte from the stream and return its value.
TStream.WriteWord |  | Write a word to the stream.
TStream.WriteDWord |  | Write a DWord to the stream.
TStream.WriteAnsiString |  | Write an ansistring to the stream.

Documentation generated on: Feb 26 2014